<template>
  <DefaultLayout>
    <IntroBlock
      :placeholder="placeholder"
      page-title="page_titles.projects"
    />
    <section>
      <h3>
        {{ $t('projects.personal_website_title') }}
        (<a
          href="https://gitlab.com/cecile.fecherolle/hellocecile"
          target="_blank"
          rel="noopener, noreferrer"
        >{{ $t('projects.personal_website.repository') }}</a>)
      </h3>
      <h4>(2020)</h4>
      <article>
        <img
          id="hello-cecile-preview"
          class="fancy-border"
          src="../assets/images/hello-cecile-responsive.png"
          alt="Preview of this site on multiple devices"
        >
        <p>
          {{ $t('projects.personal_website.intro_1') }}<br>
          {{ $t('projects.personal_website.intro_2') }}<br><br>

          {{ $t('projects.personal_website.stack') }}
        </p>
        <ul class="decorated-list">
          <li><span>Adobe XD,</span> {{ $t('projects.personal_website.adobe_xd') }}</li>
          <li><span>VueJS,</span> {{ $t('projects.personal_website.vuejs') }}</li>
          <li><span>Gridsome,</span> {{ $t('projects.personal_website.gridsome') }}</li>
          <li><span>CSS/SCSS,</span> {{ $t('projects.personal_website.css_scss') }}</li>
          <li><span>Flexbox,</span> {{ $t('projects.personal_website.flexbox') }}</li>
          <li><span>Forestry.io,</span> {{ $t('projects.personal_website.forestry_io') }}</li>
          <li><span>Hyvor Talk,</span> {{ $t('projects.personal_website.hyvor_talk') }}</li>
          <li><span>Git,</span> {{ $t('projects.personal_website.git') }}</li>
          <li><span>GitLab,</span> {{ $t('projects.personal_website.gitlab') }}</li>
          <li><span>Netlify,</span> {{ $t('projects.personal_website.netlify') }}</li>
          <li><span>Yarn,</span> {{ $t('projects.personal_website.yarn') }}</li>
          <li><span>ESLint/Stylelint,</span> {{ $t('projects.personal_website.eslint_stylelint') }}</li>
        </ul>
      </article>
    </section>
    <hr>
    <section>
      <h3>Cosmo Tech</h3>
      <h4>({{ $t('projects.cosmo_tech.period') }})</h4>
      <article>
        <div class="image-container">
          <a
            href="https://cosmotech.com/"
            rel="noopener, noreferrer"
            target="_blank"
          >
            <img
              id="cosmo-tech-logo"
              class="fancy-border"
              src="../assets/images/cosmo-tech-logo.png"
              alt="Logo of Cosmo Tech"
            >
          </a>
        </div>
        <p>
          {{ $t('projects.cosmo_tech.intro_1') }}<br><br>
          {{ $t('projects.cosmo_tech.presentation') }}<br>
          {{ $t('projects.cosmo_tech.app') }}<br><br>
          {{ $t('projects.cosmo_tech.intro_2') }}<br>
          {{ $t('projects.cosmo_tech.intro_3') }}
        </p>
        <ul class="decorated-list">
          <li><span>{{ $t('projects.cosmo_tech.front_end') }}</span></li>
          <li><span>{{ $t('projects.cosmo_tech.back_end') }}</span></li>
        </ul>
      </article>

      <p />
    </section>
    <hr>
    <section>
      <h3>Worldline</h3>
      <h4>(Septembre 2014 - Mars 2019)</h4>
      <div class="image-container">
        <a
          href="https://worldline.com/"
          rel="noopener, noreferrer"
          target="_blank"
        >
          <img
            id="worldline-logo"
            class="fancy-border"
            src="../assets/svg/logo-worldline.svg"
            alt="Logo of Worldline"
          >
        </a>
      </div>
      <h5>Saphir</h5>
      <article>
        <p>
          {{ $t('projects.worldline.saphir.intro_1') }}<br>
          {{ $t('projects.worldline.saphir.intro_2') }}
        </p>
        <ul class="decorated-list">
          <li><span>{{ $t('projects.worldline.saphir.front_end') }}</span></li>
          <li><span>{{ $t('projects.worldline.saphir.back_end') }}</span></li>
        </ul>
      </article>
      <h5>Géoportail</h5>
      <article>
        <p>
          {{ $t('projects.worldline.geoportail.intro_1') }}
          <a
            href="https://www.geoportail.gouv.fr/"
            target="_blank"
            rel="noopener, noreferrer"
          >{{ $t('projects.worldline.geoportail.public_website') }}</a>{{ $t('projects.worldline.geoportail.intro_2') }}<br><br>
        </p>
        <p>
          {{ $t('projects.worldline.geoportail.body_intro') }}
        </p>
        <ul class="decorated-list">
          <li>{{ $t('projects.worldline.geoportail.bullet_1') }}</li>
          <li>{{ $t('projects.worldline.geoportail.bullet_2') }}</li>
          <li>{{ $t('projects.worldline.geoportail.bullet_3') }}</li>
          <li>{{ $t('projects.worldline.geoportail.bullet_4') }}</li>
          <li>{{ $t('projects.worldline.geoportail.bullet_5') }}</li>
        </ul>
      </article>
    </section>
    <hr>
    <section>
      <h3>NASA Space Apps Challenge: Lavamatic</h3>
      <h4>(2015)</h4>
      <div class="image-container">
        <a
          href="https://open.nasa.gov/innovation-space/lavamatic/"
          rel="noopener, noreferrer"
          target="_blank"
        >
          <img
            id="lavamatic-preview"
            class="fancy-border"
            src="../assets/images/lavamatic.png"
            alt="Preview of the Lavamatic game"
          >
        </a>
      </div>
      <article>
        <p>
          {{ $t('projects.lavamatic.intro_1') }}<br>
          {{ $t('projects.lavamatic.intro_2') }}
        </p>
      </article>
    </section>
    <hr>
    <section>
      <h3>{{ $t('projects.old_resume_title') }}</h3>
      <h4>(2014)</h4>
      <div class="image-container">
        <a
          href="/old-resume/index.html"
          target="_blank"
        >
          <img
            id="old-resume-preview"
            class="fancy-border"
            src="../assets/images/old-resume-screenshot.png"
            alt="Preview of an old online résumé"
          >
        </a>
      </div>
      <article>
        <p>
          {{ $t('projects.old_resume.intro_1') }}<br>
          {{ $t('projects.old_resume.intro_2') }}
        </p>
      </article>
    </section>
  </DefaultLayout>
</template>

<script src="../scripts/views/projects.js"/>
<style lang="scss" src="../styles/views/projects.scss"/>
